[SRU] munin-memory plugin doesn't work on 64-bit 12.04 LTS

Bug #1000678 reported by ShaolinTiger on 2012-05-17
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
munin (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned
Precise
Medium
James Page
Quantal
Medium
Unassigned

Bug Description

[Impact]
munin-memory plugin doesn't work on 64-bit 12.04 LTS. This prevents munin from collecting memory usage data.

[Test Case]
sudo apt-get install munin apache2 munin-node
Error in log file /var/log/munin/munin-node.log:
2012/05/21-16:25:31 [13645] Error output from memory:
2012/05/21-16:25:31 [13645] Use of qw(...) as parentheses is deprecated at /etc/munin/plugins/memory line 189.
No memory usage graphs in Munin web interface (http://localhost/munin/)

[Development Fix]
Cherry picked patch from upstream VCS - http://munin-monitoring.org/changeset/4358.

[Stable Fix]
Same as development fix

[Regression Potential]
None, the plugin is broken and changes are limited to this plugin only.
Fix accepted upstream.

[Original Bug Report]
The error is on line 189, it gives this message which stops munin from being able to collect data:

Use of qw(...) as parentheses is deprecated at ./memory line 189.

Line 189 is as follows:

or my $field qw(apps buffers swap cached free slab swap_cache page_tables vmalloc_used committed mapped active active_anon active_cache inactive inact_dirty inact_laundry inact_clean) {

And needs to be changed to:

or my $field (qw(apps buffers swap cached free slab swap_cache page_tables vmalloc_used committed mapped active active_anon active_cache inactive inact_dirty inact_laundry inact_clean)) {

After this change it functions fine.

---
Description: Ubuntu 12.04 LTS
Release: 12.04
---
munin-node:
  Installed: 1.4.6-3ubuntu3
  Candidate: 1.4.6-3ubuntu3
  Version table:
 *** 1.4.6-3ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

James Page (james-page) wrote :

Appears to have been fixed upstream:

http://munin-monitoring.org/browser/trunk/plugins/node.d.linux/memory.in

Marking 'Confirmed' and 'Medium' as this does impact functionality.

Changed in munin (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
James Page (james-page) wrote :

Fixed in version 1.4.7.

Changed in munin (Ubuntu):
status: Confirmed → Triaged
James Page (james-page) wrote :

Probably worth fixing in 12.04 as well so nominating for precise so we don't forget.

Changed in munin (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
ShaolinTiger (shaolintiger) wrote :

Yah it was odd at first because memory monitoring is one of the most important features of a default munin-node install and the memory graph is completely absent because of this bug.

Thanks for the prompt action and I hope it gets rolled into 12.04 as I think a lot of people won't be able to figure out what happened.

Kenyon Ralph (kralph) wrote :
James Page (james-page) on 2012-05-21
summary: - munin-memory plugin doesn't work on 64-bit 12.04 LTS
+ [SRU] munin-memory plugin doesn't work on 64-bit 12.04 LTS
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.4.6-3ubuntu5

---------------
munin (1.4.6-3ubuntu5) quantal; urgency=low

  [ Vibhav Pant ]
  * debian/patches/upstream_changeset_4597.patch:
    - Fixes incorrect graph configuration in munin plugin
      exim_mailqueue (LP: #598385).

  [ James Page ]
  * debian/patches/upstream_changeset_4358.patch:
    - Silent Perl 5.14 warnings to re-enable collection of
      memory usage data in the memory plugin (LP: #1000678).
 -- Vibhav Pant <email address hidden> Mon, 21 May 2012 14:39:19 +0100

Changed in munin (Ubuntu Quantal):
status: Triaged → Fix Released
Vibhav Pant (vibhavp) on 2012-05-21
description: updated
Changed in munin (Ubuntu Precise):
assignee: nobody → Vibhav Pant (vibhavp)
Vibhav Pant (vibhavp) wrote :
James Page (james-page) on 2012-05-21
description: updated
James Page (james-page) on 2012-05-21
description: updated
description: updated
Micah Gersten (micahg) wrote :

Uploaded already to precise-proposed, waiting in unapproved

Changed in munin (Ubuntu Precise):
assignee: Vibhav Pant (vibhavp) → nobody
status: Triaged → Fix Committed

Hello ShaolinTiger, or anyone else affected,

Accepted munin into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
James Page (james-page) on 2012-05-31
Changed in munin (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
James Page (james-page) on 2012-05-31
Changed in munin (Ubuntu Oneiric):
status: New → Invalid
James Page (james-page) on 2012-06-01
Changed in munin (Ubuntu Precise):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2012-06-08
description: updated
Stéphane Graber (stgraber) wrote :

Looks good with the package from -proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.4.6-3ubuntu3.1

---------------
munin (1.4.6-3ubuntu3.1) precise-proposed; urgency=low

  * debian/patches/upstream_changeset_4597.patch
    - Fix incorrect graph configuration in munin plugin
      exim_mailqueue but switching AREA and STACK sections.
      Cherry picked patch from upstream VCS (LP: #598385).
  * debian/patches/upstream_changeset_4358.patch
    - Fix broken memory usage data collection in memory plugin by
      silencing Perl 5.14 warnings.
      Cherry picked patch from upstream VCS (LP: #1000678).
 -- Vibhav Pant <email address hidden> Mon, 21 May 2012 17:09:20 +0100

Changed in munin (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers